export default defineEventHandler((event) => {
  return {
    code: 200,
    data: [
      {
        id: 1,
        pid: null,
        path: '/',
        redirect: '/home',
        name: 'Home',
        icon: 'AppstoreOutlined',
        title: '工作区',
        component: 'RouteView',
      },
      {
        id: 2,
        pid: 1,
        path: '/home',
        name: 'Home',
        component: 'Home',
        title: 'Home',
        icon: null,
      },
      {
        id: 3,
        pid: 1,
        name: 'workspace',
        component: 'Workspace',
        path: '/workspace',
        title: '工作台',
        icon: null,
      },
      {
        id: 4,
        pid: null,
        name: 'FullPath',
        path: 'https://www.baidu.com',
        component: 'BlankRoute',
        title: '跳转百度',
        icon: 'LinkOutlined',
      },
    ],
    msg: '获取成功',
  }
})
