export interface UserInfo {
  id: number
  username: string
  nickname?: string
  email?: string
  mobile?: string
  avatar?: string
  signature?: string
  realName?: string
  money?: number
  birth?: string
}

export default defineEventHandler((event) => {
  const userInfo: UserInfo = {
    id: 1,
    username: 'admin',
    nickname: 'admin',
    email: 'test@qq.com',
    mobile: '13000000000',
    avatar: 'https://avatars.githubusercontent.com/u/21073088',
    signature: '海纳百川，有容乃大',
    realName: '张三',
    money: 10000,
    birth: '1990-01-01',
  }
  return {
    code: 200,
    data: userInfo,
    msg: '获取成功',
  }
})
