export default defineEventHandler((event) => {
  return {
    code: 200,
    data: [
      {
        id: 1,
        pid: null,
        path: '/dashboard',
        redirect: '/dashboard/analysis',
        name: 'Dashboard',
        icon: 'AppstoreOutlined',
        title: 'pages.dashboard.title',
        component: 'RouteView',
      },
      {
        id: 2,
        pid: 1,
        path: '/dashboard/analysis',
        name: 'DashboardAnalysis',
        component: 'DashboardAnalysis',
        title: 'pages.dashboard.analysis.title',
        icon: null,
      },
      {
        id: 3,
        pid: 1,
        name: 'DashboardWorkspace',
        component: 'DashboardWorkspace',
        path: '/dashboard/workspace',
        title: 'pages.dashboard.workspace.title',
        icon: null,
      },
      {
        id: 4,
        pid: null,
        name: 'FullPath',
        path: 'https://www.baidu.com',
        component: 'BlankRoute',
        title: 'pages.jump.baidu',
        icon: 'LinkOutlined',
      },
    ],
    msg: '获取成功',
  }
})
