export default defineEventHandler((event) => {
  return {
    code: 200,
    data: [
      {
        id: 1,
        pid: null,
        path: '/dashboard',
        redirect: '/dashboard/analysis',
        name: 'Dashboard',
        icon: 'AppstoreOutlined',
        title: 'pages.dashboard.title',
        component: 'RouteView',
      },
      {
        id: 2,
        pid: 1,
        path: '/dashboard/analysis',
        name: 'DashboardAnalysis',
        component: 'DashboardAnalysis',
        title: 'pages.dashboard.analysis.title',
        icon: null,
      },
      {
        id: 3,
        pid: 1,
        name: 'DashboardWorkspace',
        component: 'DashboardWorkspace',
        path: '/dashboard/workspace',
        title: 'pages.dashboard.workspace.title',
        icon: null,
      },
      {
        id: 5,
        pid: null,
        component: 'RouteView',
        name: 'Menu1',
        path: '/menu1',
        redirect: '/menu1/1-1',
        title: 'pages.menu.title',
        icon: 'MenuOutlined',
      },
      {
        id: 6,
        pid: 5,
        name: 'Menu1-1',
        component: 'RouteView',
        redirect: '/menu1/1-1/1-1-1',
        title: 'pages.menu.menu1.title',
        path: '/menu1/1-1',
      },
      {
        id: 7,
        pid: 6,
        name: 'Menu1-1-1',
        component: 'Menu11',
        title: 'pages.menu.menu11.title',
        path: '/menu1/1-1/1-1-1',
        keepAlive: false,
      },
      {
        id: 11,
        pid: 6,
        name: 'Menu1-1-2',
        component: 'Menu12',
        title: 'pages.menu.menu12.title',
        path: '/menu1/1-1/1-1-2',
        keepAlive: false,
      },
      {
        id: 8,
        pid: null,
        name: 'Menu1-2',
        path: '/menu1/1-2',
        component: 'RouteView',
        redirect: '/menu1/1-2/1-2-1',
        title: 'pages.menu.menu2.title',
      },
      {
        id: 9,
        pid: 8,
        name: 'Menu1-2-1',
        path: '/menu1/1-2/1-2-1',
        component: 'Menu21',
        redirect: null,
        title: 'pages.menu.menu2.title',
      },
      {
        id: 10,
        pid: 8,
        name: 'Menu1-2-2',
        path: '/menu1/1-2/1-2-2',
        component: 'Menu22',
        redirect: null,
        title: 'pages.menu.menu2.title',
      },
      {
        id: 4,
        pid: null,
        name: 'FullPath',
        path: 'https://www.baidu.com',
        component: 'BlankRoute',
        title: 'pages.jump.baidu',
        icon: 'LinkOutlined',
      },
    ],
    msg: '获取成功',
  }
})
